from django.forms import ModelForm


class ReadOnlyModelForm(ModelForm):
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        for key in self.Meta.readonly_fields:
            self.fields[key].disabled = True
